com.io7m.jstructural.annotated

## Class SASection

- java.lang.Object
- - com.io7m.jstructural.annotated.SASection

- All Implemented Interfaces:
    SAIDTargetContent
  Direct Known Subclasses:
    SASectionWithParagraphs, SASectionWithSubsections

      @Immutable
      public abstract class SASection
      extends Object
      implements SAIDTargetContent

  An abstract section.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SASection(SASectionNumber in_number, com.io7m.jfunctional.OptionType<String> in_type, com.io7m.jfunctional.OptionType<SAID> in_id, SASectionTitle in_title, com.io7m.jfunctional.OptionType<SSectionContents> in_contents, List<SAFootnote> in_footnotes)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `com.io7m.jfunctional.OptionType<SSectionContents>` | `getContents()`
    `List<SAFootnote>` | `getFootnotes()`
    `com.io7m.jfunctional.OptionType<SAID>` | `getID()`
    `SASectionNumber` | `getNumber()`
    `SASectionTitle` | `getTitle()`
    `com.io7m.jfunctional.OptionType<String>` | `getType()`
    `int` | `hashCode()`
    `abstract <A> A` | `sectionAccept(SASectionVisitor<A> v)` Accept a section visitor.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.jstructural.annotated.SAIDTargetContent

      `targetContentAccept`

- - ### Constructor Detail

    - #### SASection

          protected SASection(SASectionNumber in_number,
                              com.io7m.jfunctional.OptionType<String> in_type,
                              com.io7m.jfunctional.OptionType<SAID> in_id,
                              SASectionTitle in_title,
                              com.io7m.jfunctional.OptionType<SSectionContents> in_contents,
                              List<SAFootnote> in_footnotes)

  - ### Method Detail

    - #### equals

          public boolean equals(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getContents

          public final com.io7m.jfunctional.OptionType<SSectionContents> getContents()

      Returns:
        The section contents

    - #### getFootnotes

          public final List<SAFootnote> getFootnotes()

      Returns:
        The list of footnotes for this section

    - #### getID

          public final com.io7m.jfunctional.OptionType<SAID> getID()

      Returns:
        The section ID

    - #### getNumber

          public final SASectionNumber getNumber()

      Returns:
        The section number

    - #### getTitle

          public final SASectionTitle getTitle()

      Returns:
        The section title

    - #### getType

          public final com.io7m.jfunctional.OptionType<String> getType()

      Returns:
        The section type attribute

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### sectionAccept

          public abstract <A> A sectionAccept(SASectionVisitor<A> v)
                                       throws Exception

      Accept a section visitor.
      Type Parameters:
        `A` - The type of values returned by the visitor
      Parameters:
        `v` - The visitor
      Returns:
        The value returned by the visitor
      Throws:
        `Exception` - If the visitor raises an `Exception`

Copyright © 2015 <code@io7m.com> http://io7m.com